eth_getTransactionCount

Endpoint: POST https://api.infstones.com/bsc/mainnet/YOUR_PROJECT_ID

Parameters

Object NameRequiredTypeDetail
ADDRESS✅StringAddress to check for transaction count for.
BLOCK PARAMETER✅String/ObjectA hex code of an integer that represents the block number, "latest", "earliest" , "pending".
"params": [
    "0x6121073b15531c0b0c33d46d62c8ff058d78002d",
    "0xFB2A38"
]

Result

A hex code of an integer that represents the number of transactions sent from this address.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getTransactionCount","params": ["0x6121073b15531c0b0c33d46d62c8ff058d78002d","0xFB2A38"],"id":1}'

Return

{
    "id": 1,
    "jsonrpc": "2.0",
    "result": "0x86a9"
}